> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Change billing address

> Creates a new changed data request for the billing address for the given customerID/contractID. This update request takes a couple of attributes and processes them as a transaction. If the validation of any of the attribute fails the whole request will be rejected.



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/master_data/changes/bill_address/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/master_data/changes/bill_address/:
    post:
      tags:
        - master_data
      summary: Change billing address
      description: >-
        Creates a new changed data request for the billing address for the given
        customerID/contractID. This update request takes a couple of attributes
        and processes them as a transaction. If the validation of any of the
        attribute fails the whole request will be rejected.
      operationId: master_data_changes_bill_address_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeBillAddress'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ChangeBillAddress'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ChangeBillAddress'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeIdResponse'
          description: Change process created
components:
  schemas:
    ChangeBillAddress:
      type: object
      description: |-
        This validator class is designed to work with endpoints like
        /v3/master_data/changes/bill_address/
        /v3/master_data/changes/delivery_address/
        where the customer is given as "maybe consumer, maybe producer"
        and the is_consumer flag. It requires the request user on it's ctor.
      properties:
        customer_id:
          type: string
        contract_id:
          type: string
        is_consumer:
          type: boolean
        bill_address_street:
          type: string
        bill_address_house_number:
          type: string
          maxLength: 5
        bill_address_addition:
          type: string
        bill_address_zipcode:
          type: string
          maxLength: 5
        bill_address_city:
          type: string
      required:
        - bill_address_city
        - bill_address_house_number
        - bill_address_street
        - bill_address_zipcode
        - contract_id
        - customer_id
        - is_consumer
    ChangeIdResponse:
      type: object
      properties:
        change_id:
          type: integer
          description: identifier for change process
      required:
        - change_id

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.